Page MenuHomePhabricator

[mips] Removed the remainder of MipsCC. NFC.
ClosedPublic

Authored by dsanders on Nov 4 2014, 5:46 AM.

Details

Summary

One of the calls to AllocateStack (the one in LowerCall) doesn't look like
it should be there but it was there before and removing it breaks the
frame size calculation.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 15762.Nov 4 2014, 5:46 AM
dsanders retitled this revision from to [mips] Removed the remainder of MipsCC. NFC..
dsanders updated this object.
dsanders edited the test plan for this revision. (Show Details)
dsanders added a reviewer: vmedic.
dsanders added a subscriber: Unknown Object (MLST).

Added David as reviewer

theraven accepted this revision.Nov 5 2014, 7:47 AM
theraven edited edge metadata.

Looks good. The MipsCC code was quite obfuscating, so I'm glad to see its functionality moved somewhere more sensible.

This revision is now accepted and ready to land.Nov 5 2014, 7:47 AM
dsanders closed this revision.Nov 7 2014, 7:43 AM